import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _JRSInputMethodController extends _NSObject {
    static alloc(): _JRSInputMethodController;
    static new(): _JRSInputMethodController;
    init(): _JRSInputMethodController;
    static controller(): _JRSInputMethodController;
    availableInputMethodLocales(): _NSArray;
    currentInputMethodName(): _NSString;
    currentInputMethodLocale(): _NSString;
    setCurrentInputMethodForLocale$(theLocale: _NSString): void;
}
